Secrets & Data API

Query secrets and PII findings via the Nullify API

Base URL

https://api.<TENANT>.nullify.ai

Events

Stream events for new secrets, suppressions, and rotations:

Get Secret Events

get

Returns events after a specified timestamp or event ID. All events are returned if no timestamp or event ID is provided

Query parameters
nextTokenstring · nullableOptional
limitinteger · nullableOptional
branchstring · nullableOptional
fromTimestring · nullableOptional
numItemsinteger · nullableOptional
eventTypestring[]Optional
fileOwnerNamestring[]Optional
sortstring · nullableOptional
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Responses
chevron-right
200

OK

application/json
get
/secrets/events

List Findings

Enumerate active secret or PII findings for a repository or tenant:

Get Secrets Findings

get

Returns a filtered set of Secrets findings based on query parameters. One unique secret hash per repository.

Query parameters
nextTokenstring · nullableOptional
limitinteger · nullableOptional
branchstring · nullableOptional
secretTypestring · nullableOptional
fileOwnerNamestring[]Optional
isResolvedboolean · nullableOptional
isAllowlistedboolean · nullableOptional
isFalsePositiveboolean · nullableOptional
sortBystring · nullableOptional
sortstring · nullableOptional
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Responses
chevron-right
200

OK

application/json
get
/secrets/findings

Get a Finding

Fetch full details, including detector type, remediation guidance, and history:

Get Finding

get

Returns a given finding

Path parameters
findingIdstringRequired
Query parameters
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Responses
chevron-right
200

OK

application/json
get
/secrets/findings/{findingId}

Allowlist a Finding

Suppress an individual secret or data alert with an audit trail:

Allowlist Finding

post

Allowlist a secret

Path parameters
findingIdstringRequired
Query parameters
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Body
allowlistReasonstringRequired

The reason for allowlisting the finding

allowlistTypestring · enumRequiredPossible values:
Responses
post
/secrets/findings/{findingId}/allowlist

No content

Finding Events

Retrieve the decision history for a specific secret or data alert:

Get Finding Events

get

Returns a list of events for a given finding.

Path parameters
findingIdstringRequired
Query parameters
azureOrganizationIdstringOptional

The Azure organization ID

bitbucketWorkspaceIdstringOptional

The Bitbucket workspace ID

githubOwnerIdinteger · int64Optional

The Github owner ID

gitlabGroupIdinteger · int64Optional

The GitLab group ID

installationIdstringOptional

The Nullify installation ID

azureRepositoryIdstring[]Optional
githubRepositoryIdinteger · int64[]Optional
githubTeamIdinteger · int64Optional
bitbucketRepositoryIdstring[]Optional
Responses
chevron-right
200

OK

application/json
get
/secrets/findings/{findingId}/events

Last updated